/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: ProvidesTest.java 3:22:00 PM ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.tools.jbicommon.descriptor;

import javax.xml.namespace.QName;

import org.objectweb.petals.tools.jbicommon.descriptor.Provides;

import junit.framework.TestCase;

/**
 * Test of the Provides
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public class ProvidesTest extends TestCase {

    public void testGetters() {
        Provides provides = new Provides();
        provides.setEndpointName("endpoint");
        assertEquals(provides.getEndpointName(), "endpoint");
        provides.setInterfaceName(new QName("interface"));
        assertEquals(provides.getInterfaceName(), new QName("interface"));
        provides.setServiceName(new QName("service"));
        assertEquals(provides.getServiceName(), new QName("service"));
    }

}
