/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * Id : ${file_name} 154 ${date}  rbarraza 
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.binding.smtpbc.mock;

import java.util.Set;
import java.util.logging.Logger;

import javax.activation.DataHandler;

import org.ebmwebsourcing.b2bgw.security.beans.CertificatePKCS12;
import org.objectweb.petals.binding.smtpbc.listeners.SenderMail;
/**
 * 
 * @version $Rev: 250 $Date: {date}
 * @since Petals 1.0
 * @author Rocio BARRAZA - eBMWebsourcing
 * 
 */
public class MockSenderMail extends SenderMail {

    boolean send =false;
    public MockSenderMail(String host, String from, String certificatePath,
            CertificatePKCS12 cert, Logger logger) {
        super(host, from, certificatePath, cert, logger);
    }

    public void initialization() {
    }

    public void sendMail(String type, String msgBody, String to,
            String subject, Set<DataHandler> attachments) {
        
        send=true;
    }
    
    public boolean isSend(){
        return send;
    }
}
