/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: ServiceUnitTest.java 3:48:51 PM ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.tools.jbicommon.descriptor;

import junit.framework.TestCase;

/**
 * Tests of the ServiceUnit
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public class ServiceUnitTest extends TestCase {

    public void testGetters() {
        ServiceUnit serviceUnit = new ServiceUnit();

        Identification identification = new Identification();
        serviceUnit.setIdentification(identification);
        assertEquals(identification, serviceUnit.getIdentification());

        serviceUnit.setTargetArtifactsZip("targetZips");
        assertEquals("targetZips", serviceUnit.getTargetArtifactsZip());

        serviceUnit.setTargetComponentName("targetComponentName");
        assertEquals("targetComponentName", serviceUnit
            .getTargetComponentName());
    }

}
